package com.zipcodewilmington.bankaccountlab;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class BusinessAccountTest {

    @Test
    void setBalance() {
        Account tester = new BusinessAccount(100);
        tester.setBalance(200);
        int expected = 200;
        int actual = tester.getBalance();
        assertEquals(expected,actual);
    }

    @Test
    void getBalance() {
        Account tester = new BusinessAccount(100);

        int expected = 100;
        int actual = tester.getBalance();
        assertEquals(expected,actual);
    }

    @Test
    void creditTest(){
        Account tester = new BusinessAccount(100);
        ((SavingsAccount) tester).credit(50);

        int expected = 150;
        int actual = tester.getBalance();
        assertEquals(expected, actual);
    }

    @Test
    void debitTest(){
        Account tester = new BusinessAccount(100);
        ((SavingsAccount) tester).debit(50);

        int expected = 50;
        int actual = tester.getBalance();
        assertEquals(expected, actual);
    }
}